PUT Api/InspectionSvlTwoAssetCondition/{id}
URI Example
PUT Api/InspectionSvlTwoAssetCondition/{id}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
InspectionSvlTwoAssetConditionBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| InspectionSvlTwoAssetId | integer |
Required |
|
| Luminosity | decimal number |
None. |
|
| Temperature | decimal number |
None. |
|
| Humidity | decimal number |
None. |
|
| ConditionScaleId | integer |
Required |
|
| Comments | string |
None. |
|
| Consequences | string |
None. |
Request Formats
application/json, text/json, application/hal+json
-
{ "inspectionSvlTwoAssetId": 1, "luminosity": 2.1, "temperature": 3.1, "humidity": 4.1, "conditionScaleId": 5, "comments": "sample string 6", "consequences": "sample string 7" }
Resource Description
InspectionSvlTwoAssetConditionResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| InspectionSvlTwoAssetId | integer |
None. |
|
| Luminosity | decimal number |
None. |
|
| Temperature | decimal number |
None. |
|
| Humidity | decimal number |
None. |
|
| ConditionScaleId | integer |
None. |
|
| Comments | string |
None. |
|
| Consequences | string |
None. |
|
| IsBlocked | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "inspectionSvlTwoAssetId": 2, "luminosity": 3.1, "temperature": 4.1, "humidity": 5.1, "conditionScaleId": 6, "comments": "sample string 7", "consequences": "sample string 8", "isBlocked": true, "updateDate": "2026-10-29T13:06:05.7109338+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }